Opened 2 months ago

Closed 7 weeks ago

#31442 closed defect (fixed)

Raise rustc minimum version

Reported by: Sebastian Owned by: Sebastian
Priority: Medium Milestone: Tor: 0.4.2.x-final
Component: Core Tor/Tor Version: Tor: unspecified
Severity: Normal Keywords: 042-should, no-backport, dgoulet-merge
Cc: gaba Actual Points:
Parent ID: #31238 Points:
Reviewer: nickm Sponsor: Sponsor31-can

Description

We're using features from at least Rust 1.28, so let's not pretend we can work with something earlier.

Child Tickets

Change History (9)

comment:1 Changed 2 months ago by Sebastian

Status: newneeds_review

Bugfix in branch bug31442 in my tor repo

comment:2 Changed 2 months ago by teor

Cc: gaba added
Keywords: 042-should no-backport added
Milestone: Tor: 0.4.2.x-final
Owner: set to Sebastian
Parent ID: #31238
Sponsor: Sponsor31-can
Status: needs_reviewassigned

We need to fix this issue as part of #31238

comment:3 Changed 2 months ago by teor

Status: assignedneeds_review

We don't support Rust on older tor versions, so I'm not too worried about a backport.

comment:4 Changed 2 months ago by dgoulet

Reviewer: nickm

comment:6 Changed 2 months ago by Sebastian

See https://gitweb.torproject.org/tor.git/tree/doc/HACKING/CodingStandardsRust.md#n79 for the comment about requiring latest stable rust.

comment:7 Changed 7 weeks ago by nickm

Status: needs_reviewmerge_ready

This LGTM; let's try it out.

comment:8 Changed 7 weeks ago by nickm

Keywords: dgoulet-merge added

comment:9 Changed 7 weeks ago by dgoulet

Resolution: fixed
Status: merge_readyclosed

Merged!

Note: See TracTickets for help on using tickets.